ttf-mscorefonts-installer fails because Redirection from https to http is forbidden

Bug #1713615 reported by Graham Inggs on 2017-08-29
376
This bug affects 95 people
Affects Status Importance Assigned to Milestone
msttcorefonts (Ubuntu)
High
Unassigned
ubuntu-restricted-extras (Ubuntu)
Undecided
Unassigned
update-notifier (Ubuntu)
Undecided
Unassigned

Bug Description

This started soon after upgrading to Artful.
The logs below show the failure is not always in the same file.

Preparing to unpack .../ttf-mscorefonts-installer_3.6ubuntu1_all.deb ...
mscorefonts-eula license has already been accepted
Unpacking ttf-mscorefonts-installer (3.6ubuntu1) over (3.6ubuntu1) ...
Processing triggers for update-notifier-common (3.184) ...

ttf-mscorefonts-installer: processing...

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Get:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Fetched 198 kB in 10s (19.6 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Get:1 http://downloads.sourceforge.net/corefonts/arial32.exe [554 kB]
Fetched 554 kB in 8s (66.4 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arialb32.exe
Get:1 http://downloads.sourceforge.net/corefonts/arialb32.exe [168 kB]
Fetched 168 kB in 5s (31.0 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/comic32.exe
Get:1 http://downloads.sourceforge.net/corefonts/comic32.exe [246 kB]
Fetched 246 kB in 6s (40.1 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/courie32.exe
Get:1 http://downloads.sourceforge.net/corefonts/courie32.exe [646 kB]
Fetched 646 kB in 12s (51.9 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/georgi32.exe
Get:1 http://downloads.sourceforge.net/corefonts/georgi32.exe [392 kB]
Fetched 392 kB in 9s (40.5 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/impact32.exe
Err:1 http://downloads.sourceforge.net/corefonts/impact32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=ufpr.dl.sourceforge.net' is forbidden [IP: 200.236.31.2 443]
E: Failed to fetch https://ufpr.dl.sourceforge.net/project/corefonts/the fonts/final/impact32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=ufpr.dl.sourceforge.net' is forbidden [IP: 200.236.31.2 443]
E: Download Failed

...

Preparing to unpack .../ttf-mscorefonts-installer_3.6ubuntu1_all.deb ...
mscorefonts-eula license has already been accepted
Unpacking ttf-mscorefonts-installer (3.6ubuntu1) over (3.6ubuntu1) ...
Processing triggers for update-notifier-common (3.184) ...

ttf-mscorefonts-installer: processing...

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Get:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Fetched 198 kB in 5s (36.6 kB/s)

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Err:1 http://downloads.sourceforge.net/corefonts/arial32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=ufpr.dl.sourceforge.net' is forbidden [IP: 200.236.31.2 443]
E: Failed to fetch https://ufpr.dl.sourceforge.net/project/corefonts/the fonts/final/arial32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=ufpr.dl.sourceforge.net' is forbidden [IP: 200.236.31.2 443]
E: Download Failed

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: ttf-mscorefonts-installer 3.6ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
Uname: Linux 4.12.0-11-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.6-0ubuntu7
Architecture: amd64
CurrentDesktop: Unity:Unity7:ubuntu
Date: Tue Aug 29 07:11:50 2017
InstallationDate: Installed on 2010-04-28 (2679 days ago)
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_ZA.UTF-8
 SHELL=/bin/bash
SourcePackage: msttcorefonts
UpgradeStatus: Upgraded to artful on 2017-08-28 (0 days ago)

Related branches

Graham Inggs (ginggs) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in msttcorefonts (Ubuntu):
status: New → Confirmed

This is a bug in Debian too, I think it should be fixed there

Changed in msttcorefonts (Ubuntu):
importance: Undecided → High
Norbert (asterix52) wrote :

The last working version was this:

http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/

I think it fails with this change:

msttcorefonts (3.6ubuntu1) artful; urgency=medium

  * Merge from Debian Sid. Remaining changes:

-> - Ubuntu preinst and postrm scripts have deltas.

    - Source the debconf confmodule before doing anything else in the preinst.
    - Move #DEBHELPER# substitution before preinst code that might exit.
    - Migrate to use an update-notifier hook, so that package data can be
      handled asynchronously and not cause install failures on network
      problems.
    - Add missing pre-depends for use of debconf in preinst.
    - Convert to dh(1).
    - Skip race between update-notifier and update-ms-fonts trying to delete
      the same files from the same locations.

 -- Simon Quigley <email address hidden> Wed, 26 Jul 2017 22:02:46 -0500

Graham Inggs (ginggs) wrote :

It worked fine for me on a different internet connection.

Dan MacDonald (allcoms) wrote :

I hit this bug today under Ubuntu MATE 17.10 x64.

The workaround for me was:

wget http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.6_all.deb
sudo dpkg -i ttf-mscorefonts-installer_3.6_all.deb

Norbert (asterix52) wrote :

Hello Dan,

additional you can set the older version to hold:

sudo apt-mark hold ttf-mscorefonts-installer

That prevents further updates.

Gannet (ken20001) wrote :

package from debian repo 3.6_all works fine, but this, 3.6ubuntu2, is crap and it is not working.

Markus Frosch (mf1.) wrote :

Issue still exists. Tried also with 3.6ubuntu2

Nenad (uxbal) wrote :

Seems to work on 18.04 for the past couple of days.

Jiri Grönroos (jiri-gronroos) wrote :

Still broken on up-to-date (2nd of April 2018) 18.04 installation:

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Err:1 http://downloads.sourceforge.net/corefonts/arial32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=vorboss.dl.sourceforge.net' is forbidden [IP: 5.10.152.194 443]
E: Failed to fetch https://vorboss.dl.sourceforge.net/project/corefonts/the fonts/final/arial32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=vorboss.dl.sourceforge.net' is forbidden [IP: 5.10.152.194 443]

Package: ttf-mscorefonts-installer
Architecture: all
Version: 3.6ubuntu2
Multi-Arch: foreign
Priority: optional
Section: multiverse/x11
Source: msttcorefonts
Origin: Ubuntu
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Thijs Kinkhorst <email address hidden>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 92
Provides: msttcorefonts
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: cabextract, xfonts-utils, update-notifier-common (>= 0.119ubuntu2)
Recommends: fonts-liberation
Filename: pool/multiverse/m/msttcorefonts/ttf-mscorefonts-installer_3.6ubuntu2_all.deb
Size: 27560
MD5sum: 3eb7949f417e98687dfcbeaf3b161485
SHA1: 00e05594c32666953c0a045aee8ac747a1c5f68f
SHA256: 3013e68e8e1900e02e135bffde03e1ff73de09effa748146f421bb7d00255ce2
Description-en: Installer for Microsoft TrueType core fonts
Description-md5: 3cf2bbaf676bcd51633633514c88751a

summary: - Fonts fail to download
+ ttf-mscorefonts-installer fails because Redirection from https to http
+ is forbidden

I'm seeing this issue on the latest up-to-date Ubuntu 18.04 as of May 4th, 2018:

gbutler@gbutler-Oryx-Pro:~/Rust/rfcs/text$ sudo apt install ttf-mscorefonts-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  ttf-mscorefonts-installer
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 27.6 kB of archives.
After this operation, 94.2 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu bionic/multiverse amd64 ttf-mscorefonts-installer all 3.6ubuntu2 [27.6 kB]
Fetched 27.6 kB in 0s (143 kB/s)
Preconfiguring packages ...
Selecting previously unselected package ttf-mscorefonts-installer.
(Reading database ... 286381 files and directories currently installed.)
Preparing to unpack .../ttf-mscorefonts-installer_3.6ubuntu2_all.deb ...
Unpacking ttf-mscorefonts-installer (3.6ubuntu2) ...
Processing triggers for update-notifier-common (3.192) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Get:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Fetched 198 kB in 1s (188 kB/s)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Err:1 http://downloads.sourceforge.net/corefonts/arial32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=iweb.dl.sourceforge.net' is forbidden [IP: 192.175.120.182 443]
E: Failed to fetch https://iweb.dl.sourceforge.net/project/corefonts/the fonts/final/arial32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=iweb.dl.sourceforge.net' is forbidden [IP: 192.175.120.182 443]
E: Download Failed
Setting up ttf-mscorefonts-installer (3.6ubuntu2) ...
Processing triggers for fontconfig (2.12.6-0ubuntu2) ...

One thing I noticed, is that it isn't consistent on which font it fails. It seems to be related to different mirrors and depending on which mirror is chosen it succeeds for fails. I'm thinking that the built-in list of mirrors in the package has a bunch of obsolete failing mirrors perhaps?

I just tried it again and after several attempts, it eventually worked. I think the issue is with mirrors at SourceForge and it is an intermittent problem.

Can anybody please report the bug in Debian?

Graham Inggs (ginggs) wrote :

I've just tried again now after upgrading to 18.04 and the problem still occurs.

As suggested in LP: #1767748, I tried 3.7 from Debian and it installed and download all the fonts successfully.

Kevin Dalley (nereocystis) wrote :

Copying comment from LP: #1767748, which is a work-around for this bug. Copying from since this is the main bug, and the other is a duplicate of this bug.

Had the same after upgrade from 16.04 to 18.04. According instructions at https://ubuntuforums.org/showthread.php?t=2349320 installed ttf-mscorefonts-installer version 3.7 from https://packages.debian.org/fi/sid/all/ttf-mscorefonts-installer/download and now waiting if it helps.

Eric Carroll (eric-carroll) wrote :

To consolidate the workaround to this ticket:

sudo apt purge ttf-mscorefonts-installer
wget http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.7_all.deb -P ~/Downloads
sudo apt install ~/Downloads/ttf-mscorefonts-installer_3.7_all.deb

This resolved the issue for me.

Owen Savill (osavill) wrote :

Not easy to do if an upgrade fails with 1341 packages left to update! Can't this just be fixed?!

Lastique (andysem) wrote :

Happens when upgrading from Kubuntu 18.04 to 18.10.

This bug is still present. Just upgraded from 18.04 to 18.10. Fixed by the proposed solution above.

Robert (birmingham-spider) wrote :

I started experiencing this bug when I upgraded 16.04 LTS to 18.04 LTS a few days ago, following a month or so of nagging by the software updater.

I also had a problem with this package during the upgrade process. A graphical box was popped up asking me if I agreed with the license terms, but there was no means of accepting or declining, just a button saying (IIRC) "Forward". I have since tried re-installing the package using the command line, which displayed an ncurses dialog box that did have the option to accept or decline.

Chris Rainey (ckrzen) wrote :

#17 works on clean install of 18.10.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-restricted-extras (Ubuntu):
status: New → Confirmed
Krister (thekswenson) wrote :

#17 works. In order to keep the package manager from updating the package to the broken version it helps to run "sudo apt-mark hold ttf-mscorefonts-installer" after.

tags: added: disco

Just upgraded from 16.04 to 18.04 a few days ago.

The Problem still exists.
Why this is still not fixed by the Ubuntu package manager as there seems a good version available?

Fixing this locally and marking on hold is probably not a good idea as then further upgrades (maybe security relevant) won't take place for that package.

Simon Davis (davis-decent) wrote :

Ubuntu 18.10 ... this is just ridiculous.

Simon Davis (davis-decent) wrote :

Please do not forget that this bug is present at least since 15.10 while we are going to see 19.04 released next month. Hey you, Ubuntu devs, can I buy a beer someone for copying the original Debian version over finally? If one of you do it once, thousands of users will not have to on every update.

Tommy Nevtelen (dal) wrote :

I think it would help of somebody created an SRU, https://wiki.ubuntu.com/StableReleaseUpdates

iBART (mogio) wrote :

Purged and installed the debian version "ttf-mscorefonts-installer_3.6_all.deb". All fonts downloaded and installed correctly.

Ubuntu 18.04.2 LTS here.

Alfonso Cepeda (cepeda) wrote :

Upgraded to disco, purged and installed:

ttf-mscorefonts-installer_3.7ubuntu4_all: FAIL
ttf-mscorefonts-installer_3.7ubuntu4~really3.6ubuntu3_all: FAIL
ttf-mscorefonts-installer_3.6ubuntu2_all: FAIL

purged and installed from debian:

ttf-mscorefonts-installer_3.7_all: OK

The debian and ubuntu versions of "update-ms-fonts" file are very different. debian version uses "wget" while ubuntu does not seem to. Maybe this is why it is difficult to just upload the debian to ubuntu.

Vivien GUEANT (vivienfr) wrote :

Upgraded to disco, purged and installed:

ttf-mscorefonts-installer fails because Redirection from https to http is forbidden :

ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Err :1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=vorboss.dl.sourceforge.net' is forbidden [IP : 5.10.152.194 443]
E: Impossible de récupérer https://vorboss.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=vorboss.dl.sourceforge.net' is forbidden [IP : 5.10.152.194 443]
E: Le téléchargement a échoué

peter swain (swine) wrote :

Confirmed that it affects disco (5 attempts at apt install --reinstall failed)

Confirmed that the workaround above fixes it:
sudo apt purge ttf-mscorefonts-installer && sudo apt install --reinstall ttf-mscorefonts-installer

Pierre Blanche (pablanche) wrote :

Workaround does not work in my case (upgrade from 18.10 to 19.04:): sudo apt purge ttf-mscorefonts-installer && sudo apt install --reinstall ttf-mscorefonts-installer

Error is similar as reported:
E: Failed to fetch https://managedway.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=managedway.dl.sourceforge.net' is forbidden [IP: 208.79.213.6 443]
E: Download Failed
Processing triggers for fontconfig (2.13.1-2ubuntu2) ...

Tuomo Sipola (tuomosipola) wrote :

Confirmed that it affects Ubuntu Cosmic -> Disco upgrade. Still failing, just as #33.

Ron Johnson (ron-l-johnson) wrote :

It's still happening in April 2019.

ron@haggis:~/pia_1.1.1$ sudo apt-get install --reinstall ttf-mscorefonts-installer
[sudo] password for ron:
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 27.6 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu bionic/multiverse amd64 ttf-mscorefonts-installer all 3.6ubuntu2 [27.6 kB]
Fetched 27.6 kB in 0s (124 kB/s)
Preconfiguring packages ...
(Reading database ... 339195 files and directories currently installed.)
Preparing to unpack .../ttf-mscorefonts-installer_3.6ubuntu2_all.deb ...
mscorefonts-eula license has already been accepted
Unpacking ttf-mscorefonts-installer (3.6ubuntu2) over (3.6ubuntu2) ...
Processing triggers for update-notifier-common (3.192.1.5) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=managedway.dl.sourceforge.net' is forbidden [IP: 208.79.213.6 443]
E: Failed to fetch https://managedway.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=managedway.dl.sourceforge.net' is forbidden [IP: 208.79.213.6 443]
E: Download Failed
Setting up ttf-mscorefonts-installer (3.6ubuntu2) ...
Processing triggers for fontconfig (2.12.6-0ubuntu2) ...

Chris E. (c9e6) wrote :

Clean install of Ubuntu 19.04:
`sudo apt install ttf-mscorefonts-installer` results in redirection bug above.
Only solution that works for me was installing the Debian package from #6.

Graham Inggs (ginggs) wrote :

A quick re-test in Ubuntu 19.04:

3.7ubuntu4 - failed
3.6ubuntu1 - failed
3.4+nmu1ubuntu2 - failed
3.7 from Debian - success

Lastique (andysem) wrote :

This workaround:

sudo apt purge ttf-mscorefonts-installer && sudo apt install --reinstall ttf-mscorefonts-installer

does *not* fix the installation on Disco for me. I'm assuming it may fix the problem for some if the redirection from https to http does not happen for some reason.

I'm able to install the Debian package from here: https://packages.debian.org/buster/ttf-mscorefonts-installer

The bug is present in at least 2 Ubuntu releases while the fix in Debian is available for all this time. This is... disappointing.

If you do it multiple times you will end up on a mirror after a while that does not do the redirection to http..

On April 27, 2019 5:03:54 PM GMT+02:00, Lastique <email address hidden> wrote:
>This workaround:
>
>sudo apt purge ttf-mscorefonts-installer && sudo apt install
>--reinstall
>ttf-mscorefonts-installer
>
>does *not* fix the installation on Disco for me. I'm assuming it may
>fix
>the problem for some if the redirection from https to http does not
>happen for some reason.
>
>I'm able to install the Debian package from here:
>https://packages.debian.org/buster/ttf-mscorefonts-installer
>
>The bug is present in at least 2 Ubuntu releases while the fix in
>Debian
>is available for all this time. This is... disappointing.
>
>--
>You received this bug notification because you are subscribed to the
>bug
>report.
>https://bugs.launchpad.net/bugs/1713615
>
>Title:
> ttf-mscorefonts-installer fails because Redirection from https to http
> is forbidden
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/1713615/+subscriptions

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.

Lastique (andysem) wrote :

I tried it multiple times, it didn't work, although it failed on different files. Debian package succeeded from the first attempt.

Julian Andres Klode (juliank) wrote :

In APT, redirection from https to http is not supported for security reasons. Debian does not use APT's functionality for downloading in this package, but another thing that does follow such redirects, and hence does not fail.

There's probably a way to fix this by changing the URL to something that works and does not do "failed mirror" redirects to http.

Julian Andres Klode (juliank) wrote :

FWIW, this is likely a regional thing, as it depends on which mirrors sourceforge gives you and them being broken.

Graham Inggs (ginggs) wrote :

I tried:

/usr/lib/apt/apt-helper download-file http://downloads.sourceforge.net/corefonts/andale32.exe andale32.exe

Yesterday it worked several times in a row, today it has failed several times in a row. I agree this depends on which mirrors you hit. Previously, I got it to work by switching my internet connection from fixed line to 3G.

Notice the error:
E: Failed to fetch https://tenet.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe
The directory name 'the fonts' contains a space, which was the bug fixed in LP: #1651923
Is that bug fixed for all conditions?

Graham Inggs (ginggs) wrote :

The space is not the problem, as downloading another file from the same project, but in a different directory, 'cabextract', also fails intermittently:

$ /usr/lib/apt/apt-helper download-file http://downloads.sourceforge.net/corefonts/cabextract-0.6-1.src.rpm cabextract-0.6-1.src.rpm
Get:1 http://downloads.sourceforge.net/corefonts/cabextract-0.6-1.src.rpm [94.9 kB]
Fetched 94.9 kB in 2s (50.5 kB/s)

$ /usr/lib/apt/apt-helper download-file http://downloads.sourceforge.net/corefonts/cabextract-0.6-1.src.rpm cabextract-0.6-1.src.rpm
Err:1 http://downloads.sourceforge.net/corefonts/cabextract-0.6-1.src.rpm
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=liquidtelecom.dl.sourceforge.net' is forbidden [IP: 197.155.77.8 443]
E: Failed to fetch https://liquidtelecom.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=liquidtelecom.dl.sourceforge.net' is forbidden [IP: 197.155.77.8 443]
E: Download Failed

Graham Inggs (ginggs) wrote :

Building the source package with only the following change works for me:

--- a/debian/rules
+++ b/debian/rules
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f

-URLROOT = http://downloads.sourceforge.net/corefonts/
+URLROOT = https://github.com/pushcx/corefonts/raw/master/

 %:
  dh $@

Steve Langasek (vorlon) wrote :

> -URLROOT = http://downloads.sourceforge.net/corefonts/
> +URLROOT = https://github.com/pushcx/corefonts/raw/master/

This would have the effect of always causing github to be used rather than sourceforge selecting a geographically local mirror for the user. Is that acceptable? I think this should be considered a sourceforge bug if they are redirecting from https urls to http urls; would it make sense instead for users to contact sourceforge about this poor mirror configuration?

Graham Inggs (ginggs) wrote :

Fetching from github was significantly faster than fetching from sourceforge (when it worked) for me in South Africa. I contacted Peter (pushcx on github) and he set up his mirror four years ago in order to work around a different sourceforge issue [1] and does not intend to remove it.

As Julian pointed out above, the redirection from https to http only occurs when redirecting to the failedmirror page, after the actual problem has occurred. I'm still not clear on what the problem with the mirror is, but it is not that the files are not there.

[1] https://push.cx/2015/installing-you-need-a-budget-ynab-on-arch-linux

Graham Inggs (ginggs) wrote :

Downloading from github.com redirects to raw.githubusercontent.com (github.map.fastly.net). So it appears to be using Fastly's CDN which has POPs all over the world.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package msttcorefonts - 3.7ubuntu5

---------------
msttcorefonts (3.7ubuntu5) eoan; urgency=medium

  * Download fonts from GitHub instead of SourceForge,
    thanks Peter Bhat Harkins (LP: #1713615)

 -- Graham Inggs <email address hidden> Mon, 29 Apr 2019 18:11:32 +0000

Changed in msttcorefonts (Ubuntu):
status: Confirmed → Fix Released
Julian Andres Klode (juliank) wrote :
Download full text (3.5 KiB)

The problem here seems to be that the files are already downloaded, and when asking sourceforge to continue the download, it does the redirect rather than responding with a 416 error with the appropriate content-range as it should.

jak@jak-t480s:$ /usr/lib/apt/apt-helper -q -o debug::acquire::http=1 -o debug::acquire::https=1 download-file https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm cabextract-0.6-1.src.rpm
GET /project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm HTTP/1.1
Host: newcontinuum.dl.sourceforge.net
User-Agent: Debian APT-HTTP/1.3 (1.8.0)

Answer for: https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm
HTTP/1.1 200 OK
Date: Mon, 29 Apr 2019 18:52:51 GMT
Server: Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips
Last-Modified: Thu, 15 Aug 2002 15:45:22 GMT
ETag: "172cf-3a841fe3ec880"
Accept-Ranges: bytes
Content-Length: 94927
Connection: close
Content-Type: application/octet-stream

Get:1 https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm [94,9 kB]
Fetched 94,9 kB in 2s (55,5 kB/s)
jak@jak-t480s:$ /usr/lib/apt/apt-helper -q -o debug::acquire::http=1 -o debug::acquire::https=1 download-file https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm cabextract-0.6-1.src.rpm
GET /project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm HTTP/1.1
Host: newcontinuum.dl.sourceforge.net
Range: bytes=94927-
If-Range: Thu, 15 Aug 2002 15:45:22 GMT
User-Agent: Debian APT-HTTP/1.3 (1.8.0)

Answer for: https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm
HTTP/1.1 302 Found
Date: Mon, 29 Apr 2019 18:52:54 GMT
Server: Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips
Location: http://downloads.sourceforge.net/mirrorproblem?failedmirror=newcontinuum.dl.sourceforge.net
Connection: close
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1

Err:1 https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=newcontinuum.dl.sourceforge.net' is forbidden [IP: 64.79.96.4 443]
E: Failed to fetch https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=newcontinuum.dl.sourceforge.net' is forbidden [IP: 64.79.96.4 443]
E: Download Failed
jak@jak-t480s:$ rm cabextract-0.6-1.src.rpm
This tool has been deprecated, use 'gio trash' instead.
See 'gio help trash' for more info.

jak@jak-t480s:$ /usr/lib/apt/apt-helper -q -o debug::acquire::http=1 -o debug::acquire::https=1 download-file https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm cabextract-0.6-1.src.rpm
GET /project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm HTTP/1.1
Host: newcontinuum.dl.sourceforge.net
User-Agent: Debian APT-HTTP/1.3 (1.8.0)

Answer for: https://newcontinuum.dl.sourceforge.net/project/corefonts/cabextract/0.6/cabextract-0.6-1.src.rpm
HTTP/1.1 200...

Read more...

Changed in update-notifier (Ubuntu):
status: New → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.20

---------------
update-notifier (3.192.20) eoan; urgency=medium

  * data/package-data-downloader: Do not resume partial files, and especially
    skip download attempts if they match the expected SHA256 (LP: #1713615)

 -- Julian Andres Klode <email address hidden> Mon, 29 Apr 2019 21:38:43 +0200

Changed in update-notifier (Ubuntu):
status: Fix Committed → Fix Released
Hassan Williamson (hazrpg) wrote :
Download full text (5.3 KiB)

Still happening on Ubuntu 18.04.2 with all the latest updates.

Purging the Ubuntu one and installing the Debian one worked for me too.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.2 LTS
Release: 18.04
Codename: bionic

$ sudo apt install ttf-mscorefonts-installer
[sudo] password for hazrpg:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  cabextract libmspack0
The following NEW packages will be installed
  cabextract libmspack0 ttf-mscorefonts-installer
0 to upgrade, 3 to newly install, 0 to remove and 0 not to upgrade.
Need to get 86.7 kB of archives.
After this operation, 261 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://gb.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmspack0 amd64 0.6-3ubuntu0.2 [37.4 kB]
Get:2 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 cabextract amd64 1.6-1.1 [21.8 kB]
Get:3 http://gb.archive.ubuntu.com/ubuntu bionic/multiverse amd64 ttf-mscorefonts-installer all 3.6ubuntu2 [27.6 kB]
Fetched 86.7 kB in 0s (470 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libmspack0:amd64.
(Reading database ... 227302 files and directories currently installed.)
Preparing to unpack .../libmspack0_0.6-3ubuntu0.2_amd64.deb ...
Unpacking libmspack0:amd64 (0.6-3ubuntu0.2) ...
Selecting previously unselected package cabextract.
Preparing to unpack .../cabextract_1.6-1.1_amd64.deb ...
Unpacking cabextract (1.6-1.1) ...
Selecting previously unselected package ttf-mscorefonts-installer.
Preparing to unpack .../ttf-mscorefonts-installer_3.6ubuntu2_all.deb ...
Unpacking ttf-mscorefonts-installer (3.6ubuntu2) ...
Setting up libmspack0:amd64 (0.6-3ubuntu0.2) ...
Processing triggers for update-notifier-common (3.192.1.5) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Get:1 http://downloads.sourceforge.net/corefonts/andale32.exe [198 kB]
Fetched 198 kB in 23s (8,470 B/s)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arial32.exe
Get:1 http://downloads.sourceforge.net/corefonts/arial32.exe [554 kB]
Fetched 554 kB in 5s (122 kB/s)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/arialb32.exe
Get:1 http://downloads.sourceforge.net/corefonts/arialb32.exe [168 kB]
Fetched 168 kB in 3s (62.3 kB/s)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/comic32.exe
Get:1 http://downloads.sourceforge.net/corefonts/comic32.exe [246 kB]
Fetched 246 kB in 3s (77.0 kB/s)
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/courie32.exe
Get:1 http://downloads.sourceforge.net/corefonts/courie32.exe [646 kB]
Fetched 646 kB in 4s (178 kB/s)
ttf-mscorefonts...

Read more...

KC1DI (davekc1di) wrote :

affects me here also.

Unpacking ttf-mscorefonts-installer (3.6ubuntu2) over (3.6ubuntu2) ...
Processing triggers for update-notifier-common (3.192.1.5) ...
ttf-mscorefonts-installer: processing...
ttf-mscorefonts-installer: downloading http://downloads.sourceforge.net/corefonts/andale32.exe
Err:1 http://downloads.sourceforge.net/corefonts/andale32.exe
  Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=cfhcable.dl.sourceforge.net' is forbidden [IP: 146.71.73.6 443]
E: Failed to fetch https://cfhcable.dl.sourceforge.net/project/corefonts/the fonts/final/andale32.exe Redirection from https to 'http://downloads.sourceforge.net/mirrorproblem?failedmirror=cfhcable.dl.sourceforge.net' is forbidden [IP: 146.71.73.6 443]
E: Download Failed
Setting up ttf-mscorefonts-installer (3.6ubuntu2) ...
Processing triggers for fontconfig (2.12.6-0ubuntu2) ...

Mario Camou (mcamou) wrote :

Still happening on 19.10 (updated from 18.10, which had previously been updated from 18.04)

nidget (nidget) wrote :

I confirm I also see it in Ubuntu 18.10 and 19.04, upgraded from 18.04 (I was not seeing it in 18.04). A recurring bug, as I was also getting it in older versions of Ubuntu (in 16.04 if I remember well).

test051102 (test051102) wrote :

I can confirm that this is a very old bug. There seems to be a fix by using the original package from Debian. It would be nice if this would be fixed in Ubuntu, too.

Peter Pasedach (q-p-d) wrote :

Still happening in 18.04.03. Installing http://ftp.de.debian.org/debian/pool/contrib/m/msttcorefonts/ttf-mscorefonts-installer_3.7_all.deb solved the problem for now for me.

Chris Guiver (guiverc) on 2019-08-15
tags: added: bionic

This seems to be a recurrent and intermittend problem. I have just run into it again, installing Ubuntu 18.04 LTS Server. One one box, no problem, on the other fail.
In some attempts it fails at the beginning, in others after download of a few fonts. And the most
annoying thing is, that the package is recorded as installed, even when the installation fails, so you have to do multiple apt purge... apt install...

Lucap (lucap) wrote :

> 19.10 network install

> sudo apt-get install ubuntu-restricted-extras

exe fails from sourceforge.net the same as Schröshire Cat said above.

Apart from confirming this issue i have to ask do we need mscorefonts in this day and age?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers